local R = data.raw.recipe
local A = data.raw['assembling-machine']
local INS = data.raw['inserter']

if mods['xander-mod'] == '1.5.0' then
  --fix empty recipe category
  R["crystal-diamond"].category = "machine"
  --fix steel-bearing recipe needs a fluid input
  A['machine-tool-1'].fluid_boxes = A["machine-tool-2"].fluid_boxes
  end

if mods['xander-mod'] == '1.5.1' then
  --fix long inserters are not long
  for _,i in pairs{INS['inserter-long-fast'],INS['inserter-long-stack']} do
    i. pickup_position = {0, -2}
    i. insert_position = {0, 2.2}
    i. hand_size = 1.5
    i. fast_replaceable_group = "long-handed-inserter"
    end
  --remove flue gas output from rutile chlorination (machine lacks double fluid box)
  local results = data.raw.recipe["rutile-chlorination"].results
  for index,result in pairs(results) do
    if result.name == 'flue-gas' then
      table.remove(results,index)
      results = nil
      break
      end
    end
  end
  
